if(!window.FollowEditorIIDX22){
	FollowEditorIIDX22_setup();
}
with(FollowEditorIIDX22){

scoreViewerSetup = function (){
	rival_list = new Object();

	mainTab = gBrowser.getBrowserForTab(gBrowser.selectedTab = gBrowser.addTab("chrome://FollowEditorForIIDX22/content/main.html"));
	mainTab.addEventListener("load", function(){
		mainTab.removeEventListener("load", arguments.callee, true);
		mainTab.contentDocument.title += "  ver." + main_version;
		readVersionInfo();
		readInfo();
		sendUserLoadDataFirst();
		setupWindow();
	}, true);

	return;
}

readInfo = function (){
	if(fe_Branch.getBoolPref("info_check")){
		var req = new XMLHttpRequest();
		req.open('GET', URL_info + "?random=" + Math.random(), true);
		req.onreadystatechange = function (aEvt) {
			if(req.readyState == 4) {
				if(req.status == 200){
					mainTab.contentDocument.getElementById("info").innerHTML = req.responseText;
				}
			}
		};
		req.send(null);
	}

	return;
}

readVersionInfo = function (){
	if(fe_Branch.getBoolPref("vinfo_check")){
		var req1 = new XMLHttpRequest();
		req1.open('GET', URL_vdata + "?random=" + Math.random(), true);
		req1.onreadystatechange = function (aEvt) {
			if(req1.readyState == 4) {
				if(req1.status == 200){
					if(main_version != req1.responseText){
						var req2 = new XMLHttpRequest();
						req2.open('GET', URL_vinfo + "?random=" + Math.random(), true);
						req2.onreadystatechange = function (aEvt) {
								if(req2.readyState == 4) {
								if(req2.status == 200){
									mainTab.contentDocument.getElementById("vinfo").innerHTML = req2.responseText;
								}
							}
						};
						req2.send(null);
					}
				}
			}
		};
		req1.send(null);
	}

	return;
}

readMyData = function(){
	var fin = false;
	if(!("id" in userdata)){
		fin = true;
	}
	var req1 = new XMLHttpRequest();
	req1.open('GET', 'http://p.eagate.573.jp/game/2dx/22/p/djdata/status.html', true);
	req1.onreadystatechange = function (aEvt) {
		if(req1.readyState == 4) {
			if(req1.status == 200){
				var res = req1.responseText.split(">");
				if(matchWordLine(res, "DJ Name") != -1){
					var tmp = matchWordLine(res, "DJ Name");
					var tmp2 = matchWordLine(res, "IIDX ID");
					userdata.name = res[tmp+3].split("<")[0];
					userdata.id = res[tmp2+2].split("<")[0];
					fe_Branch.setCharPref("userdata", unescape(encodeURIComponent(JSON.stringify(userdata))));
					if(fin){
						sendUserLoadData();
					}
				}
			}
		}
	};
	req1.send(null);
	return;
}

sendUserLoadDataFirst = function(){
	if("id" in userdata){
		sendUserLoadData();
	}else{
		readMyData();
	}
}

sendUserLoadData = function(){
	if(fe_Branch.getBoolPref("sendloaddata_check")){
		var req = new XMLHttpRequest();
		var url = "http://nobuyukim.cs.land.to/addon/FollowEditorForIIDX22/loaddata.php";
		url += "?name=" + userdata.name;
		url += "&id=" + userdata.id;
		req.open('GET', url, true);
		req.send(null);
	}
}

}
